var id = getQueryString('aid');

var addressLoadSuccess = false;
var provinceId = '';
var cityId = '';
var townId = '';

var nameValidateResult = true;
var phoneValidateResult = true;
var whereValidateResult = true;

var username = '';
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		api.hideProgress();
		openCommon('login', '登录');
		return false;
	}

	username = userInfo.userName;
	if (id.length) {
		loadAddressData(id);
		var interval = setInterval(function() {
			if (addressLoadSuccess) {//要修改的地址信息加载完成开始加载省市县下拉框
				loadAreaData('0', 'selectProvince', '请选择省份', 'province');
				clearInterval(interval);
			}
		}, 1000);
	} else {
		//通过Ajax加载省份数据
		loadAreaData('0', 'selectProvince', '请选择省份', 'province');
	}
	$('#txtName').blur(validateName);
	$('#txtPhone').blur(validatePhone);
	$('#txtWhere').blur(validateWhere);
	$('#selectProvince').change(provinceChange);
	$('#selectCity').change(cityChange);
	$('#selectArea').change(areaChange);
};

/*
 * 验证收件人名称是否合法
 */
function validateName() {
	var name = $('#txtName').val();
	if (!name && name.length == 0) {
		$('#nameErrorMsgDiv').css('display', 'block');
		$('#nameErrorMsg').text('收件人姓名不能为空');
		nameValidateResult = false;
	} else {
		$('#nameErrorMsgDiv').css('display', 'none');
		nameValidateResult = true;
	}
};
/*
 * 验证收件人手机是否合法
 */
function validatePhone() {
	var phone = $('#txtPhone').val();
	if (!phone && phone.length == 0) {
		$('#phoneErrorMsgDiv').css('display', 'block');
		$('#phoneErrorMsg').text('收件人电话号码不能为空');
		phoneValidateResult = false;
	} else {
		var re = /1[3|4|5|8][0-9]\d{8}$/;
		if (!re.test(phone)) {
			$('#phoneErrorMsgDiv').css('display', 'block');
			$('#phoneErrorMsg').text('收件人电话不是有效的电话号码');
			phoneValidateResult = false;
		} else {
			$('#phoneErrorMsgDiv').css('display', 'none');
			phoneValidateResult = true;
		}
	}
};
/*
 * 验证详细地址是否合法
 */
function validateWhere() {
	var where = $('#txtWhere').val();
	if (!where || where.length == 0) {
		$('#whereErrorMsgDiv').css('display', 'block');
		$('#whereErrorMsg').text('地址信息不能为空');
		whereValidateResult = false;
	} else {
		$('#whereErrorMsgDiv').css('display', 'none');
		whereValidateResult = true;
	}
};
/*
 * 设置区域下拉框下拉项
 * control要加载内容的下拉框
 * data {object[]} 数据
 */
function setSelectItems(control, data, defaultText) {
	var html = '<option value="">' + defaultText + '</option>';
	for (var i = 0, j = data.length; i < j; i++) {
		html += '<option value="' + data[i]['SID'] + '">' + data[i]['S_Name'] + '</option>';
	}
	$(control).html(html);
};
/*
 * 通过Ajax加载省市县下拉框数据
 * pid {String} 父级行政区域ID
 * controlId {String} 要加载数据的空间ID
 * defaultText {String} 默认项内容
 */
function loadAreaData(pid, controlId, defualtText, areaType) {
	if (!pid || pid.length == 0) {
		pid = '0';
	}
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		data : {
			method : 'get_product_style',
			type : 'region_style',
			sindex : pid
		},
		success : function(data) {
			api.hideProgress();
			if (data && data.Status == '1' && data.Message) {
				setSelectItems($('#' + controlId), data.Message, defualtText);
				if (areaType == 'province' && provinceId.length) {
					var defaultOption = $('#selectProvince option[value="' + provinceId + '"]');
					if (defaultOption.length) {
						$(defaultOption).attr('selected', 'selected');
						provinceChange();
					}
					provinceId = '';
				} else if (areaType == 'city' && cityId.length) {
					var defaultOption = $('#selectCity option[value="' + cityId + '"]');
					if (defaultOption.length) {
						$(defaultOption).attr('selected', 'selected');
						cityChange();
					}
					cityId = '';
				} else if (townId.length) {
					var defaultOption = $('#selectArea option[value="' + townId + '"]');
					if (defaultOption.length) {
						$(defaultOption).attr('selected', 'selected');
						areaChange();
					}
					townId = '';
				}
			}
		},
		error : function(data) {
		}
	});
};
/*
 * 省份下拉框选择项改变
 */
function provinceChange() {
	var selected = $('#selectProvince :selected');
	var pid = $(selected).val();
	$('#hidPid').val(pid);

	$('#province_label').text($(selected).text());

	$('#selectCity').html('');
	$('#hidCid').val('');
	$('#city_label').text('');

	$('#selectArea').html('');
	$('#hidTid').val('');
	$('#area_label').text('');

	if (pid && pid.length) {
		//通过Ajax加载城市数据
		loadAreaData(pid, 'selectCity', '请选择城市', 'city');
	}
};
/*
 * 城市下拉框选择项改变
 */
function cityChange() {
	var selected = $('#selectCity :selected');
	var cityId = $(selected).val();
	$('#hidCid').val($(selected).val());
	$('#city_label').text($(selected).text());

	$('#hidTid').val('');
	$('#selectArea').html('');
	$('#area_label').text('');

	if (cityId && cityId.length) {
		//通过Ajax加载区县数据
		loadAreaData(cityId, 'selectArea', '请选择县区', 'town');
	}
};
/*
 * 区县下拉框选择项改变
 */
function areaChange() {
	var selected = $('#selectArea :selected');
	$('#hidTid').val($(selected).val());
	$('#area_label').text($(selected).text());
};
function saveMsg() {
	validateName();
	validatePhone();
	validateWhere();

	var pid = $('#hidPid').val();
	var cid = $('#hidCid').val();
	var tid = $('#hidTid').val();

	if (!pid || pid.length == 0) {
		alert('请选择省份');
		return;
	}
	if (!cid || cid.length == 0) {
		alert('请选择城市');
		return;
	}
	if (!tid || tid.length == 0) {
		alert('请选择县区');
		return;
	}

	if (nameValidateResult && phoneValidateResult && whereValidateResult) {
		var name = $('#txtName').val();
		var phone = $('#txtPhone').val();
		var where = $('#txtWhere').val();
		$.ajax({
			url : ApiUrl+'/ajaxhandler.ashx',
			type : 'POST',
			dataType : 'json',
			data : {
				'id' : id,
				'sid' : pid,
				'cid' : cid,
				'gid' : tid,
				'name' : name,
				'phone' : phone,
				'addr' : where,
				'method' : 'app_save_addr',
				'username' : username
			},
			success : function(data) {
				if (data.Status == 2) {
					openCommon('login', '登录');
				} else if (data.Status == 1) {
					var form = getQueryString('for');
					var pt = getQueryString('pt');
					var ids = getQueryString('ids');
					var isfromorder = getQueryString('isfromorder');
					openOrder('收货地址', './address.html?for=' + form + '&pt=' + pt + '&ids=' + ids + '&isfromorder=' + isfromorder);
				} else {
					alert('发生错误，保存失败！');
				}
			},
			error : function(data) {
				alert('发生错误，保存失败！');
			}
		});
	} else {
		return false;
	}
}

/*
 * 修改数据时给控件加载数据
 * data {Object} 要加载的数据
 */
function bindData(data) {
	provinceId = (data['A_SID'] == undefined ? '' : data['A_SID']).toString();
	cityId = (data['A_CID'] == undefined ? '' : data['A_CID']).toString();
	townId = (data['A_GID'] == undefined ? '' : data['A_GID']).toString();

	$('#txtName').val(data['A_Name']);
	$('#txtPhone').val(data['A_Phone']);
	$('#txtWhere').val(data['A_Address']);
	$('#hidPid').val(provinceId);
	$('#hidCid').val(cityId);
	$('#hidTid').val(townId);
}

/*
 * 加载要修改的数据
 */
function loadAddressData(id) {
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		data : {
			method : 'app_get_addr',
			id : id
		},
		success : function(data) {
			addressLoadSuccess = true;
			api.hideProgress();
			if (data.Status == 2) {
				openCommon('login', '登录');
			} else if (data.Status == 1 && data.Message && data.Message.addrData.length) {
				var addressInfo = data.Message.addrData[0];
				if (addressInfo) {
					bindData(addressInfo);
				}
			}
		}
	});
}

