apiready = function() {
	$('.pop-bg').click(hidError);
	$('.pop').click(hidError);
	$('#imgCode').attr('src','');
	$('#imgCode').attr('src',SiteUrl+'/admin_manage/imgChar.ashx');
};

function hidError() {
	$('.pop-bg').css('display', 'none');
	$('.pop').css('display', 'none');
}

function showError(msg) {
	$('.error').text(msg);
	$('.pop-bg').css('display', 'block');
	$('.pop').css('display', 'block');
	var timer = setInterval(function() {
		hidError();
		clearInterval(timer);
	}, 5000);
}

function refreshImgCode() {
	var date = new Date();
	$('#imgCode').attr('src', SiteUrl+'/admin_manage/imgChar.ashx?t' + date.getTime());
}

function checkPhone() {
	var phone = $('#mobile').val();
	if (!phone || phone.length == 0) {
		showError('请输入手机号码！');
		return false;
	}
	var re = /1[3|4|5|8][0-9]\d{8}/;
	if (!re.test(phone)) {
		showError('请输入有效的手机号码！');
		return false;
	}
	return true;
}

function checkImgCode() {
	var imgCode = $('#txtImgCode').val();
	if (!imgCode || imgCode.length == 0) {
		showError('请输入验证码！');
		return false;
	}
	return true;
}

function checkSMCode() {
	var smCode = $('#txtSmCode').val();
	if (!smCode || smCode.length == 0) {
		showError('请输入短信验证码！');
		return false;
	}
	return true;
}

function checkPwd() {
	var pwd = $('#txtPwd').val();
	var pwd1 = $('#txtPwd1').val();
	if (!pwd || pwd.length == 0) {
		showError('请输入密码！');
		return false;
	}
	if (!pwd1 || pwd1.length == 0) {
		showError('请输再次入密码！');
		return false;
	}
	if (pwd != pwd1) {
		showError('两次密码输入不一致！');
		return false;
	}
	return true;
}

function setSendButtonDisabled() {
	var t = 60;
	var tid = setInterval(function() {
		t = t - 1;
		if (t > 0) {
			$('#btnSendCode').text(t + '秒后重新发送');
			$('#btnSendCode').addClass('btn-retransmit-disabled');
		} else {
			$('#btnSendCode').removeClass("btn-retransmit-disabled");
			$('#btnSendCode').text('发送验证码');
			clearInterval(tid);
		}
	}, 1000);

}

function sendCode() {
	if ($('#btnSendCode').hasClass('btn-retransmit-disabled'))
		return;
	var phone = $('#mobile').val();
	var imgCode = $('#txtImgCode').val();
	if (checkPhone() && checkImgCode()) {
		$.ajax({
			type : 'POST',
			dataType : 'json',
			url : ApiUrl+'/AjaxHandler.ashx',
			data : {
				'phone' : phone,
				'act' : 'reste',
				'method' : 'send_phone_code',
				'imgCode' : imgCode
			},
			success : function(data) {
				if (data.Status == 1) {
					setSendButtonDisabled();
				} else {
					api.alert({
					    title: '小嘿马温馨提示',
					    msg: data.Message,
					    buttons: ['确定']
					});
					refreshImgCode();
				}
			}
		});
	}
}

function checkInput() {
	if (!checkPhone()) {
		return false;
	}
	if (!checkImgCode()) {
		return false;
	}
	if (!checkSMCode()) {
		return false;
	}
	if (!checkPwd()) {
		return false;
	}
	return true;
}

function regeist() {
	var phone = $('#mobile').val();
	var code = $('#txtSmCode').val();
	var pwd = $('#txtPwd').val();

	if (checkInput()) {
		$.ajax({
			url : ApiUrl+'/ajaxhandler.ashx',
			type : 'POST',
			dataType : 'json',
			async : false,
			data : {
				'phone' : phone,
				'act' : 'reset',
				'code' : code,
				'pwd' : pwd,
				'method' : 'reset_password'
			},
			success : function(data) {
				if (data.Status == 1) {
					api.toast({
					    msg: '密码重置完毕，登录开始购物吧',
					    duration: 2000,
					    location: 'middle'
					});
					api.sendEvent({
					    name: 'freshUserCenter'
					});
					changeFrameInRoot(4);
					setTimeout(function () {
						api.closeWin(); 
				    }, 800);
				} else {
					api.alert({
					    title: '小嘿马温馨提示',
					    msg: data.Message,
					    buttons: ['确定']
					});
				}
			},
			error : function(data) {
				api.alert({
				    title: '小嘿马温馨提示',
				    msg: '发生错误，密码重置失败！',
				    buttons: ['确定']
				});
			}
		});
	}
}
